#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries

Summary:	GLib geocoding library that uses the Yahoo! Place Finder service
Summary(pl.UTF-8):	Biblioteka GLib do geokodowania wykorzystująca serwis Yahoo! Place Finder
Name:		geocode-glib
Version:	3.26.2
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/geocode-glib/3.26/%{name}-%{version}.tar.xz
# Source0-md5:	e1ef140a11a543643d170dc701009e39
URL:		https://developer.gnome.org/geocode-glib/
BuildRequires:	gettext-tools >= 0.19.6
BuildRequires:	glib2-devel >= 1:2.44
BuildRequires:	gobject-introspection-devel >= 0.6.3
BuildRequires:	gtk-doc >= 1.13
BuildRequires:	json-glib-devel >= 0.99.2
BuildRequires:	libsoup-devel >= 2.42
BuildRequires:	meson >= 0.48.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.44
Requires:	json-glib >= 0.99.2
Requires:	libsoup >= 2.42
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
geocode-glib allows you to do geocoding (going from a place name, to a
longitude/latitude pair) and reverse geocoding (finding a place name
from coordinates).

%description -l pl.UTF-8
Ten pakiet umożliwia geokodowanie (kodowanie geograficzne - zamianę
nazwy miejsca na parę długość/szerokość geograficzna) oraz odwrotne
geokodowanie (odnajdywanie nazwy miejsca na podstawie współrzędnych).

%package devel
Summary:	Header files for geocode-glib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki geocode-glib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.44

%description devel
Header files for geocode-glib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki geocode-glib.

%package static
Summary:	Static geocode-glib library
Summary(pl.UTF-8):	Statyczna biblioteka geocode-glib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static geocode-glib library.

%description static -l pl.UTF-8
Statyczna biblioteka geocode-glib.

%package apidocs
Summary:	geocode-glib API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki geocode-glib
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for geocode-glib library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki geocode-glib.

%prep
%setup -q

%if %{with static_libs}
%{__sed} -i -e 's/shared_library/library/' geocode-glib/meson.build
%endif

%build
%meson build \
	%{!?with_apidocs:-Denable-gtk-doc=false} \
	-Denable-installed-tests=false

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgeocode-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgeocode-glib.so.0
%{_libdir}/girepository-1.0/GeocodeGlib-1.0.typelib
%{_iconsdir}/gnome/scalable/places/poi-*.svg

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgeocode-glib.so
%{_includedir}/geocode-glib-1.0
%{_datadir}/gir-1.0/GeocodeGlib-1.0.gir
%{_pkgconfigdir}/geocode-glib-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgeocode-glib.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/geocode-glib
%endif
%changelog
* Sun Mar 29 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/geocode-glib.git;a=log;h=master

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 19bc7c8
- updated to 3.26.2

* Sat Apr 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 1e13e29
- updated to 3.26.1

* Sun Jan 27 2019 Jakub Bogusz <qboosh@pld-linux.org> ae32d96
- updated to 3.26.0; uses meson now

* Wed Mar 21 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 1a2ef60
- Update to 3.24.0

* Mon Apr 11 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 6e931e6
- Update to 3.20.1

* Sat Mar 26 2016 Marcin Banasiak <marcin.banasiak@gmail.com> ac65102
- Update to 3.20.0

* Sun Feb 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 57fb2dd
- Update to 3.18.2

* Sun Jan 31 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 66638f4
- Update to 3.18.1

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> 5ca249d
- noarch apidoc

* Sat Sep 26 2015 Łukasz Kieś <kiesiu@pld-linux.org> cfd9b35
- updated to 3.18.0

* Wed May 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 158d8d2
- updated to 3.16.2

* Fri Mar 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 7cc58cb
- updated to 3.16.0

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> cabccef
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 3ded54b
- updated gettext BR

* Wed Oct 01 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 0c92ce2
- Update to 3.14.0

* Wed May 14 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 101d51d
- Update to 3.12.2

* Tue Mar 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 01368b7
- updated to 3.12.0

* Wed Sep 25 2013 Jakub Bogusz <qboosh@pld-linux.org> a2b3d9f
- updated to 3.10.0

* Wed Sep 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 79096ff
- updated to 0.99.4
- removed obsolete link patch

* Tue Sep 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 9a0a3d3
- updated to 0.99.3

